
Name:    kaccounts-integration
Version: 23.08.4
Release:    1%{?dist}
Summary: Small system to administer web accounts across the KDE desktop
License: GPLv2+
URL:     https://invent.kde.org/network/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz



BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-kdeclarative-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kwidgetsaddons-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kwallet-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  cmake(QCoro5)

BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)

BuildRequires:  pkgconfig(accounts-qt5) >= 1.13
BuildRequires:  pkgconfig(libaccounts-glib) >= 1.21
BuildRequires:  pkgconfig(libsignon-qt5) >= 8.55

BuildRequires:  cmake

Requires:       accounts-qml-module
Requires:       signon-plugin-oauth2

Provides:       kaccounts = %{version}-%{release}

Conflicts: kde-l10n < 17.03

%description
Small system to administer web accounts for the sites and services
across the KDE desktop.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       qt5-qtbase-devel
Requires:       kf5-kcoreaddons-devel
Requires:       libaccounts-glib-devel
Requires:       libaccounts-qt5-devel
Requires:       signon-devel
Requires:       intltool
%description    devel
Headers, development libraries and documentation for %{name}.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html



%files -f %{name}.lang
%doc README*
%license LICENSES/*
%{_kf5_datadir}/kpackage/kcms/kcm_kaccounts/
%{_kf5_datadir}/applications/kcm_kaccounts.desktop
%{_kf5_qtplugindir}/plasma/kcms/systemsettings/kcm_kaccounts.so
%{_kf5_plugindir}/kded/kded_accounts.so
%{_qt5_plugindir}/kaccounts/daemonplugins/kaccounts_kio_webdav_plugin.so
%{_kf5_libdir}/libkaccounts.so.2
%{_kf5_libdir}/libkaccounts.so.%{version}
%{_kf5_qmldir}/org/kde/kaccounts/

%files devel
%{_kf5_libdir}/libkaccounts.so
%{_kf5_libdir}/cmake/KAccounts/
%{_includedir}/KAccounts/


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
